使用ideviceinstaller安装ipa

deviceinstaller -i xxx.ipa

得到以下错误提示:

Could not connect to lockdownd. Exiting

解决方案:


brew uninstall ideviceinstaller

brew uninstall libimobiledevice

brew install --HEAD libimobiledevice

brew link --overwrite libimobiledevice

brew install --HEAD  ideviceinstaller

brew link --overwrite ideviceinstaller

sudo chmod -R 777 /var/db/lockdown/

 

相关issue:https://github.com/libimobiledevice/ideviceinstaller/issues/48